org.hibernate.search.annotations

## Enum FieldCacheType

- java.lang.Object
- - java.lang.Enum<FieldCacheType>
  - - org.hibernate.search.annotations.FieldCacheType

- All Implemented Interfaces:
    Serializable, Comparable<FieldCacheType>

  Deprecated.
  Remove the annotation. No alternative replacement necessary.

      @Deprecated
      public enum FieldCacheType
      extends Enum<FieldCacheType>

  This will be ignored as the Field Cache in Apache Lucene feature does no longer exist.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS` Deprecated. Same effect as using NOTHING as this feature was removed.
    `ID` Deprecated. Same effect as using NOTHING as this feature was removed.
    `NOTHING` Deprecated. Disable all caching options.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FieldCacheType` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static FieldCacheType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOTHING

          public static final FieldCacheType NOTHING

      Deprecated.
      Disable all caching options. (ie CLASS, ID) CacheFromIndex(NOTHING) or CacheFromIndex(value=FieldCacheType[]{}) are equivalent.

    - #### CLASS

          public static final FieldCacheType CLASS

      Deprecated.
      Same effect as using NOTHING as this feature was removed.

    - #### ID

          public static final FieldCacheType ID

      Deprecated.
      Same effect as using NOTHING as this feature was removed.

  - ### Method Detail

    - #### values

          public static FieldCacheType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldCacheType c : FieldCacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldCacheType valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved